跳转到主要内容
GET
/
v3beta1
/
enterprise
/
hypervisors
列出虚拟机管理程序
curl --request GET \
  --url https://api.devin.ai/v3beta1/enterprise/hypervisors \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "cloud_provider_instance_id": "<string>",
      "created_at": 123,
      "hypervisor_id": "<string>",
      "last_heartbeat": 123,
      "status": "<string>",
      "utilization_percentage": 123
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

权限

需要一个在 Enterprise 级别拥有 ViewEnterpriseInfraDetails 权限的服务用户。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

查询参数

after
string | null
first
integer
默认值:100
必填范围: 1 <= x <= 200
status
enum<string>
默认值:available
可用选项:
available,
restarting,
disconnected,
terminated,
draining,
all

响应

成功的响应

items
HypervisorResponse · object[]
必填
end_cursor
string | null

用于获取下一页的游标;如果已经是最后一页,则为 None。

has_next_page
boolean
默认值:false

此页之后是否还有更多可用条目。

total
integer | null

可选的总数(为提升性能可省略)。